@ECHO OFF
REM Grandmaster Chess (1993)
REM
ECHO.
ECHO Digital Device Selection:
CHOICE /N /C:12345 (1) PC Speaker (2) Adlib (3) Disney SS (4) Covox SM (5) Sound Blaster : 
IF ERRORLEVEL 1 SET SOUND1=01
IF ERRORLEVEL 2 SET SOUND1=02
IF ERRORLEVEL 3 SET SOUND1=03
IF ERRORLEVEL 4 SET SOUND1=04
IF ERRORLEVEL 5 SET SOUND1=05
ECHO.
ECHO Music Device Selection:
CHOICE /N /C:1234 (1) PC Speaker (2) Adlib (3) Sound Blaster (4) Roland MT-32 : 
IF ERRORLEVEL 1 SET SOUND2=01
IF ERRORLEVEL 2 SET SOUND2=02
IF ERRORLEVEL 3 SET SOUND2=03
IF ERRORLEVEL 4 SET SOUND2=04
ECHO.
ECHO Graphics Selection:
CHOICE /N /C:123 (1) EGA (2) VGA (3) SVGA : 
IF ERRORLEVEL 1 SET VIDEO=05
IF ERRORLEVEL 2 SET VIDEO=08
IF ERRORLEVEL 3 SET VIDEO=09
ECHO.
ECHO Memory Selection:
CHOICE /N /C:123 (1) Conventional (2) Expanded (3) Extended : 
IF ERRORLEVEL 1 SET MEM=02
IF ERRORLEVEL 2 SET MEM=01
IF ERRORLEVEL 3 SET MEM=00
ECHO.
ECHO Controller Selection:
CHOICE /N /C:123 (1) Keyboard (2) Mouse (3) Trackball : 
IF ERRORLEVEL 1 SET CONT=00
IF ERRORLEVEL 2 SET CONT=01
IF ERRORLEVEL 3 SET CONT=02
ECHO.
ECHO Writing configuration ...
ECHO.
COPY /B CONF\CHESS1.CNF+CONF\%SOUND1%+CONF\%SOUND2%+CONF\%VIDEO%+CONF\%MEM%+CONF\%CONT%+CONF\CHESS2.CNF CHESS.CNF >NUL